curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/pricing/free-shipment \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"rules": [
{
"uf": "SP",
"min": 199,
"shipment_service_id": 6,
"service_name": "pac"
}
]
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment"
payload = { "rules": [
{
"uf": "SP",
"min": 199,
"shipment_service_id": 6,
"service_name": "pac"
}
] }
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({rules: [{uf: 'SP', min: 199, shipment_service_id: 6, service_name: 'pac'}]})
};
fetch('https://api.dooki.com.br/v2/{alias}/pricing/free-shipment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'rules' => [
[
'uf' => 'SP',
'min' => 199,
'shipment_service_id' => 6,
'service_name' => 'pac'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"User-Secret-Key: <api-key>",
"User-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment"
payload := strings.NewReader("{\n \"rules\": [\n {\n \"uf\": \"SP\",\n \"min\": 199,\n \"shipment_service_id\": 6,\n \"service_name\": \"pac\"\n }\n ]\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("User-Token", "<api-key>")
req.Header.Add("User-Secret-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dooki.com.br/v2/{alias}/pricing/free-shipment")
.header("User-Token", "<api-key>")
.header("User-Secret-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"rules\": [\n {\n \"uf\": \"SP\",\n \"min\": 199,\n \"shipment_service_id\": 6,\n \"service_name\": \"pac\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dooki.com.br/v2/{alias}/pricing/free-shipment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["User-Token"] = '<api-key>'
request["User-Secret-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rules\": [\n {\n \"uf\": \"SP\",\n \"min\": 199,\n \"shipment_service_id\": 6,\n \"service_name\": \"pac\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"shipment_service_id": 123,
"uf": "SP",
"min": 199,
"service_name": "sedex"
}
],
"excluded_brands_ids": [
123
],
"excluded_categories_ids": [
123
],
"excluded_products_ids": [
31055
],
"excluded_products_ids_merged": [
31055
],
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}Listar regras de frete grátis
Retorna uma lista de regras de frete grátis
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/pricing/free-shipment \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"rules": [
{
"uf": "SP",
"min": 199,
"shipment_service_id": 6,
"service_name": "pac"
}
]
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment"
payload = { "rules": [
{
"uf": "SP",
"min": 199,
"shipment_service_id": 6,
"service_name": "pac"
}
] }
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({rules: [{uf: 'SP', min: 199, shipment_service_id: 6, service_name: 'pac'}]})
};
fetch('https://api.dooki.com.br/v2/{alias}/pricing/free-shipment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'rules' => [
[
'uf' => 'SP',
'min' => 199,
'shipment_service_id' => 6,
'service_name' => 'pac'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"User-Secret-Key: <api-key>",
"User-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment"
payload := strings.NewReader("{\n \"rules\": [\n {\n \"uf\": \"SP\",\n \"min\": 199,\n \"shipment_service_id\": 6,\n \"service_name\": \"pac\"\n }\n ]\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("User-Token", "<api-key>")
req.Header.Add("User-Secret-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dooki.com.br/v2/{alias}/pricing/free-shipment")
.header("User-Token", "<api-key>")
.header("User-Secret-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"rules\": [\n {\n \"uf\": \"SP\",\n \"min\": 199,\n \"shipment_service_id\": 6,\n \"service_name\": \"pac\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dooki.com.br/v2/{alias}/pricing/free-shipment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["User-Token"] = '<api-key>'
request["User-Secret-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rules\": [\n {\n \"uf\": \"SP\",\n \"min\": 199,\n \"shipment_service_id\": 6,\n \"service_name\": \"pac\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"shipment_service_id": 123,
"uf": "SP",
"min": 199,
"service_name": "sedex"
}
],
"excluded_brands_ids": [
123
],
"excluded_categories_ids": [
123
],
"excluded_products_ids": [
31055
],
"excluded_products_ids_merged": [
31055
],
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}Path Parameters
Alias da loja
Body
Regras de frete grátis, uma por estado de destino e serviço de entrega.
Show child attributes
Show child attributes
Response
Lista de regras de frete grátis
Data e hora no formato de objeto devolvido pelo PHP, com o fuso horário em que foi registrada.
Regras de frete grátis cadastradas na loja.
Show child attributes
Show child attributes
IDs das marcas excluídas do frete grátis.
IDs das categorias excluídas do frete grátis.
IDs dos produtos excluídos individualmente do frete grátis.
IDs de todos os produtos sem frete grátis, já expandidos a partir das marcas, categorias e produtos excluídos.
Data e hora no formato YYYY-MM-DD H:MM:SS.
"2000-08-17 10:24:24"
Número de representação do timezone.
3
Fuso horário associado.
"America/Sao_Paulo"
Was this page helpful?